PKI --KEYID(1)

NAME
pki --keyid - Calculate key identifiers of a key or certificate

SYNOPSIS
pki --keyid [--in file|--keyid hex] [--type type] [--debug level]
pki --keyid --options file
pki --keyid -h | --help

DESCRIPTION
This sub-command of pki(1) calculates key identifiers of private keys and certificates.

OPTIONS

-h, --help
    Print usage information with a summary of the available options.

-v, --debug level
    Set debug level, default: 1.

-+, --options file
    Read command line options from file.

-i, --in file
    Input file. If not given the input is read from STDIN.

-x, --keyid hex
    Smartcard or TPM private key object handle in hex format with an optional 0x prefix.

-t, --type type
    Type of input. One of priv (private key), rsa (RSA private key), ecdsa (ECDSA private key), bliss (BLISS private key), pub (public key), pkcs10 (PKCS#10 certificate request), x509 (X.509 certificate), defaults to priv.

EXAMPLES
Calculate key identifiers of an RSA private key:

      pki --keyid --in key.der
      subjectKeyIdentifier:      6a:9c:74:d1:f8:89:79:89:f6:5a:94:e9:89:f1...
      subjectPublicKeyInfo hash: 6e:55:dc:7e:9c:a5:58:d9:5b:e3:c7:13:14:e1...

Calculate key identifiers of an X.509 certificate:

      pki --keyid --in cert.der --type x509
      subjectKeyIdentifier:      6a:9c:74:d1:f8:89:79:89:f6:5a:94:e9:89:f1...
      subjectPublicKeyInfo hash: 6e:55:dc:7e:9c:a5:58:d9:5b:e3:c7:13:14:e1...

SEE ALSO
pki(1)